/* Distributed under the Apache License, Version 2.0.
See accompanying NOTICE file for details.*/
#pragma once

#include <QObject>
#include <QWidget>
#include "conditions/ConditionWidget.h"

class QChronicObstructivePulmonaryDiseaseWidget : public QConditionWidget
{
  Q_OBJECT
public:
  QChronicObstructivePulmonaryDiseaseWidget(QWidget *parent = Q_NULLPTR, Qt::WindowFlags flags = Qt::WindowFlags());
  virtual ~QChronicObstructivePulmonaryDiseaseWidget();

  virtual void reset();
  virtual void enableProperties(bool b);
  virtual void enableConverter(bool b);
  virtual const SECondition& getCondition();
  virtual void setCondition(const SECondition& c);

private:
  class Controls;
  Controls* m_Controls;
};